# ListNexusByFormCode

List nexus related to a tax form

`GET /api/v2/definitions/nexus/byform/{formCode}`

**API:** AvaTax API
**Tag:** Definitions
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Definitions/ListNexusByFormCode/

## Description

Retrieves a list of nexus related to a tax form.
            
The concept of `Nexus` indicates a place where your company has sufficient physical presence and is obligated
to collect and remit transaction-based taxes.
            
When defining companies in AvaTax, you must declare nexus for your company in order to correctly calculate tax
in all jurisdictions affected by your transactions.
            
This API is intended to provide useful information when examining a tax form.  If you are about to begin filing
a tax form, you may want to know whether you have declared nexus in all the jurisdictions related to that tax
form in order to better understand how the form will be filled out.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, Compliance Root User, ComplianceAdmin, ComplianceUser, CSPAdmin, CSPTester, FirmAdmin, FirmUser, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `formCode` | string | path | Yes | The form code that we are looking up the nexus for |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `NexusByTaxFormModel` |

### 200 Response: `NexusByTaxFormModel`

Identifies all nexus that match a particular tax form

| Property | Type | Required | Description |
|---|---|---|---|
| `formCode` | string | No | The code of the tax form that was requested Example: `UNKNOWNFORM`. |
| `companyId` | integer | No | The company ID of the company that was used to load the companyNexus array.  If this value is null, no company data was loaded. Example: `12345`. |
| `nexusDefinitions` | NexusModel[] | No | A list of all Avalara-defined nexus that are relevant to this tax form |
| `companyNexus` | NexusModel[] | No | A list of all currently-defined company nexus that are related to this tax form |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/definitions/nexus/byform/{formCode}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```